Bug 1267749 - Unsupported options [:select] [miq_capacity/optimize_tree_select] while viewing cluster,datastore,provider utilization
Unsupported options [:select] [miq_capacity/optimize_tree_select] while viewi...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Nick Carboni
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 16:30 EDT by Nandini Chandra
Modified: 2015-12-08 08:34 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:34:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-09-30 16:30:25 EDT
Description of problem:
-----------------------
The web UI blows up when viewing Utilization trend summary for clusters and datastores. This issue doesn't happen while viewing utilization trend summary for hosts.

[----] F, [2015-09-30T14:49:39.969461 #2972:9a3990] FATAL -- : Error caught: [RuntimeError] Unsupported options [:select]
/var/www/miq/vmdb/lib/extensions/ar_merge_conditions.rb:32:in `apply_legacy_finder_options'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/delegation.rb:94:in `public_send'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/delegation.rb:94:in `block in method_missing'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation.rb:302:in `scoping'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/delegation.rb:94:in `method_missing'
/var/www/miq/vmdb/app/models/vim_performance_daily.rb:33:in `find'
/var/www/miq/vmdb/app/models/vim_performance_analysis.rb:530:in `find_child_perf_for_time_period'
/var/www/miq/vmdb/app/models/vim_performance_analysis.rb:546:in `child_tags_over_time_period'
/var/www/miq/vmdb/app/controllers/miq_capacity_controller.rb:466:in `util_replace_right_cell'
/var/www/miq/vmdb/app/controllers/miq_capacity_controller.rb:346:in `optimize_tree_select'
/var/www/miq/vmdb/app/controllers/application_controller.rb:365:in `wait_for_task'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'


Version-Release number of selected component (if applicable):
--------------------
5.5.0.2


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to Optimize->Utilization
2.From the Utilization accordion,click any cluster or datastore.
3.

Actual results:
---------------


Expected results:
-----------------


Additional info:
----------------
Comment 3 CFME Bot 2015-10-30 17:10:14 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a4186117dd7e4a1e8f2310d49344acc85e4f25ae

commit a4186117dd7e4a1e8f2310d49344acc85e4f25ae
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 15:24:47 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Oct 30 15:30:18 2015 -0400

    Added :select to finder options
    
    This caused issues when find was called like is is here
    https://github.com/ManageIQ/manageiq/blob/8007cc50bc45ffb509154957960600486477aee7/app/models/vim_performance_analysis.rb#L530
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267749

 lib/extensions/ar_merge_conditions.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 5 CFME Bot 2015-11-04 15:06:24 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=eca138fff21ff29ba1001efd7a5f28b01ecc73ce

commit eca138fff21ff29ba1001efd7a5f28b01ecc73ce
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 15:24:47 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Nov 2 09:01:00 2015 -0500

    Added :select to finder options
    
    This caused issues when find was called like is is here
    https://github.com/ManageIQ/manageiq/blob/8007cc50bc45ffb509154957960600486477aee7/app/models/vim_performance_analysis.rb#L530
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267749

 lib/extensions/ar_merge_conditions.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 6 CFME Bot 2015-11-04 15:11:40 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=eca138fff21ff29ba1001efd7a5f28b01ecc73ce

commit eca138fff21ff29ba1001efd7a5f28b01ecc73ce
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 15:24:47 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Nov 2 09:01:00 2015 -0500

    Added :select to finder options
    
    This caused issues when find was called like is is here
    https://github.com/ManageIQ/manageiq/blob/8007cc50bc45ffb509154957960600486477aee7/app/models/vim_performance_analysis.rb#L530
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267749

 lib/extensions/ar_merge_conditions.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 7 Nandini Chandra 2015-11-17 15:14:34 EST
Verified in 5.5.0.10
Comment 9 errata-xmlrpc 2015-12-08 08:34:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.